curl --request POST \
--url https://public-test.blips.network/quotes/{quoteId}/execute \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://public-test.blips.network/quotes/{quoteId}/execute"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://public-test.blips.network/quotes/{quoteId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quoteId": "Quote:quote_123",
"transactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000015",
"status": "PENDING",
"createdAt": "2026-03-28T10:00:00Z",
"expiresAt": "2026-03-28T10:15:00Z",
"source": {
"accountId": "InternalAccount:a12dcbd6-dced-4ec4-b756-3c3a9ea3d123"
},
"destination": {
"ppvAddress": "alice@dbs.blips.network"
},
"sendingCurrency": {
"code": "USD"
},
"receivingCurrency": {
"code": "PHP"
},
"totalSendingAmount": 10000,
"totalReceivingAmount": 542300,
"exchangeRate": 54.23,
"feesIncluded": true
}Execute a previously created quote.
Execute a quote that was created earlier through POST /quotes after any optional readback through GET /quotes//current or GET /quotes/. The public execute contract is body-less, can include an optional Idempotency-Key, and returns the bounded execution acceptance result linked by public transactionId.
Authorizations
Integration-key Basic Auth (clientId:clientSecret) as documented in docs/public/AUTHENTICATION.md.
Headers
Optional idempotency key for safe client retries of this execution action.
Path Parameters
Quote identifier returned by quote creation and quote readback flows and used to execute that quote.
Response
Quote execution accepted.
Public transaction-first quote-execute response returned after the public quote execution action is accepted.
Quote identifier for the executed quote.
Public transaction identifier created or reused for this execution and used on the transaction routes.
Current top-level execution status.
PENDING, PROCESSING, COMPLETED, FAILED RFC 3339 timestamp when the execution acceptance record was created.
RFC 3339 timestamp when the executed quote window expires.
Source account snapshot used for this execution.
Show child attributes
Show child attributes
Destination snapshot used for this execution.
Show child attributes
Show child attributes
Sending currency for the executed quote.
Show child attributes
Show child attributes
Receiving currency for the executed quote.
Show child attributes
Show child attributes
Total sender-side amount in minor units for this execution.
Total receiver-side amount in minor units for this execution.
Execution exchange rate applied to the quote.
Whether the execution totals already include fees.